Summary:  3D first-person shooter game
Name:     alephone-marathoninfinity
Version:  20180930
Release:  1%{?dist}
License:  Uncertain
Group:    Amusements/Games
URL:      https://alephone.lhowon.org/games/infinity.html
Source0:  marathoninfinity.autodlrc
Source1:  alephone-marathoninfinity.sh
Source2:  alephone-marathoninfinity.jpg
Source3:  alephone-marathoninfinity.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: desktop-file-utils

Requires: alephone

%description
Marathon Infinity takes the closed universe of the Marathon series and 
blows it wide open. The solo/co-op campaign, “Blood Tides of Lh’owon,” 
is a 20-level scenario sporting new textures, weapons, and aliens. More 
than that, the scenario sheds a surprising new light on the story’s 
characters and the meaning of events. Having defeated the Pfhor and 
reawakened the ancient remnants of the S’pht, the player now faces a 
world where friends become enemies and all is not what it seems...

Marathon Infinity is the most popular Marathon game in online play, 
and is compatible with hundreds of community-made maps. This release 
includes the classic graphics, and revamped high-definition textures 
and weapons.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/AlephOne
cp %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/AlephOne/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE3}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/alephone-marathoninfinity.sh
%{_datadir}/AlephOne/marathoninfinity.autodlrc
%{_datadir}/pixmaps/alephone-marathoninfinity.jpg
%{_datadir}/applications/alephone-marathoninfinity.desktop

%changelog
* Fri Oct 05 2018 josef radinger <cheese@nosuchhost.net> - 20180930-1
- bump version

* Mon Feb 19 2018 josef radinger <cheese@nosuchhost.net> - 20150620-2
- fix autodlrc

* Mon Feb 19 2018 josef radinger <cheese@nosuchhost.net> - 20150620-1
- initial version

